summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2015-10-29 02:18:18 +0100
committer Willy Sudiarto Raharjo2015-10-29 13:37:23 +0100
commit82e3651276b36f65d53af4dcf471b50612a6151d (patch)
treea87d37f303cf71279d60eac25d006cf2ff4f2011 /games
parent89bbad9cc65bd26f5c5465fc6aa52f39f45e1edb (diff)
downloadslackbuilds-82e3651276b36f65d53af4dcf471b50612a6151d.tar.gz
games/taipan: Added (turn-based strategy game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/taipan/README3
-rw-r--r--games/taipan/slack-desc19
-rw-r--r--games/taipan/taipan.SlackBuild73
-rw-r--r--games/taipan/taipan.info10
4 files changed, 105 insertions, 0 deletions
diff --git a/games/taipan/README b/games/taipan/README
new file mode 100644
index 0000000000..af4463e597
--- /dev/null
+++ b/games/taipan/README
@@ -0,0 +1,3 @@
+taipan (ncurses 1-player turn-based strategy game)
+
+Modern version of Art Canfil's classic, Taipan. Sail the South Pacific and accumulate wealth while avoiding pirates.
diff --git a/games/taipan/slack-desc b/games/taipan/slack-desc
new file mode 100644
index 0000000000..c007f158f0
--- /dev/null
+++ b/games/taipan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+taipan: taipan (ncurses 1-player turn-based strategy game)
+taipan:
+taipan: Modern version of Art Canfil's classic, Taipan. Sail the South
+taipan: Pacific and accumulate wealth while avoiding pirates.
+taipan:
+taipan:
+taipan:
+taipan:
+taipan:
+taipan:
+taipan:
diff --git a/games/taipan/taipan.SlackBuild b/games/taipan/taipan.SlackBuild
new file mode 100644
index 0000000000..35be4bb88f
--- /dev/null
+++ b/games/taipan/taipan.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for taipan
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=taipan
+VERSION=${VERSION:-0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# why does it want to be installed setuid root? holdover
+# from the svgalib version? it doesn't seem to write a high
+# score file or savagames or anything.
+sed -i 's,4755,0755,' Makefile
+
+make CFLAGS="$SLKCFLAGS"
+mkdir -p $PKG/usr/games
+make install bindir=$PKG/usr/games
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/taipan/taipan.info b/games/taipan/taipan.info
new file mode 100644
index 0000000000..c629fb87dc
--- /dev/null
+++ b/games/taipan/taipan.info
@@ -0,0 +1,10 @@
+PRGNAM="taipan"
+VERSION="0.9"
+HOMEPAGE="http://www.ibiblio.org/pub/linux/games/textrpg/taipan-0.9.lsm"
+DOWNLOAD="http://www.ibiblio.org/pub/linux/games/textrpg/taipan-0.9.tar.gz"
+MD5SUM="c622420bb218082ca3cfd9b619fbf8b8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"